Bug 89939

Summary: Web Inspector: WebInspector.TextViewer should be renamed WebInspector.TextEditor
Product: WebKit Reporter: Jan Keromnes <janx>
Component: Web Inspector (Deprecated)Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: aandrey, apavlov, bweinstein, joepeck, keishi, loislo, mifenton, ossy, pfeldman, pmuellr, rik, timothy, vsevik, webkit.review.bot, yurys
Priority: P5    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
URL: http://trac.webkit.org/browser/trunk/Source/WebCore/inspector/front-end/TextViewer.js
Attachments:
Description Flags
Patch
none
Patch vsevik: review+

Description Jan Keromnes 2012-06-25 19:39:42 PDT
The class `WebInspector.TextViewer` is obviously not a "viewer" anymore but an "editor". We should rename it to `WebInspector.TextEditor`.
Comment 1 Jan Keromnes 2012-06-26 17:37:34 PDT
Created attachment 149645 [details]
Patch
Comment 2 Early Warning System Bot 2012-06-26 18:08:40 PDT
Comment on attachment 149645 [details]
Patch

Attachment 149645 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/13096616
Comment 3 Jan Keromnes 2012-06-26 18:31:46 PDT
Ossy: Looks like the patch might break the qt build. The trybot says "dependencies are not automatically re-computed for local developer builds", how can I re-compute them manually?
Comment 4 Andrey Adaikin 2012-06-26 21:00:28 PDT
Also modify the WebCore.xcodeproj/project.pbxproj file.
Comment 5 Csaba Osztrogon√°c 2012-06-26 23:15:56 PDT
(In reply to comment #3)
> Ossy: Looks like the patch might break the qt build. The trybot says "dependencies are not automatically re-computed for local developer builds", how can I re-compute them manually?

Fortunately it isn't as big problem as you can see now. Build will 
work fine on the bots, because they recompute dependency always. 

But it is an annoying bug, which causes false positive alarms on the EWS
sometimes. I filed a new bug report and try to fix it soon - https://bugs.webkit.org/show_bug.cgi?id=90049

Thanks for noticing this problem.
Comment 6 Csaba Osztrogon√°c 2012-06-27 02:20:16 PDT
(In reply to comment #5)
FYI: The incremental build problem on the Qt EWS bots is fixed - https://bugs.webkit.org/show_bug.cgi?id=90049
Comment 7 Jan Keromnes 2012-06-27 04:24:17 PDT
(In reply to comment #4)
> Also modify the WebCore.xcodeproj/project.pbxproj file.

This file doesn't seem to have any occurrences of either `TextViewer.js` or `textViewer.css`, so I guess Xcode builds by copying the entire `front-end` folder -- no need to modify it.

(In reply to comment #6)
> (In reply to comment #5)
> FYI: The incremental build problem on the Qt EWS bots is fixed - https://bugs.webkit.org/show_bug.cgi?id=90049

Great news! Thanks for fixing that so quickly.
Comment 8 Pavel Feldman 2012-06-29 07:46:47 PDT
Comment on attachment 149645 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=149645&action=review

I'd land this manually.

> Source/WebCore/inspector/front-end/TextEditor.js:1
> +/*

Your git status detected that it is just a rename, right? We don't want to lose nice annotation history.
Comment 9 Jan Keromnes 2012-06-29 11:35:40 PDT
(In reply to comment #8)
> Your git status detected that it is just a rename, right? We don't want to lose nice annotation history.

> 20 files changed, 205 insertions(+), 120 deletions(-)
> rename Source/WebCore/inspector/front-end/{TextViewer.js => TextEditor.js} (96%)
> rename Source/WebCore/inspector/front-end/{textViewer.css => textEditor.css} (100%)

Git detects that it's just a rename, but I'm not sure about webkit-patch. Landing it manually sounds like a good idea.
Comment 10 Pavel Feldman 2012-07-02 06:35:53 PDT
(In reply to comment #9)
> (In reply to comment #8)
> > Your git status detected that it is just a rename, right? We don't want to lose nice annotation history.
> 
> > 20 files changed, 205 insertions(+), 120 deletions(-)
> > rename Source/WebCore/inspector/front-end/{TextViewer.js => TextEditor.js} (96%)
> > rename Source/WebCore/inspector/front-end/{textViewer.css => textEditor.css} (100%)
> 
> Git detects that it's just a rename, but I'm not sure about webkit-patch. Landing it manually sounds like a good idea.

Could you rebase and upload it again? Vsevolod has added quite a bit of annotations and the patch does not apply well.
Comment 11 Jan Keromnes 2012-07-02 15:46:46 PDT
Created attachment 150486 [details]
Patch
Comment 12 Jan Keromnes 2012-07-02 15:54:22 PDT
(In reply to comment #10)
> Could you rebase and upload it again? Vsevolod has added quite a bit of annotations and the patch does not apply well.

The new patch fast-forwards from http://trac.webkit.org/changeset/121688.

I also tried to get webkit-patch to understand the file renames but your `git config diff.renames copies` trick didn't work for me. I guess you're going to have to do a lean diff again, sorry about that.
Comment 13 Vsevolod Vlasov 2012-07-03 01:45:25 PDT
Committed r121746: <http://trac.webkit.org/changeset/121746>